Add scoped search definition for arf reports that finds reports for hosts owned by current user
Pull request: https://github.com/theforeman/foreman/p
ull/g767
Description

Associated revisions

Revision 8915e45f - 09/24/2021 09:37 AM - Marek Hulan
Fixes #33025 - allow filtering hosts by user id

Users would like to set filters so users can only see reports of hosts
they own.

For that we can define an association on a Report based on the Host
ownership. Then we can add a scoped search definition that could be used

in Filter definition. The resulting scoped search term that can be used
on any Report subclass is

host_owner_id = current_user

Instead of “current_user’, a specific user ID can be used too.
This will not take user group ownership into the consideration due to

the complexity, especially when tree structure of user groups is
considered.

Revision f0c0fa5b - 09/24/2021 09:37 AM - Marek Hulan
Refs #33025 - fix spacing of search definitions

History

#1 - 09/07/2021 02:54 PM - Marek Hulan

- Subject changed from Add scoped search definition for arf reports that finds reports for hosts owned by current user

to Add scoped search definition for arf reports that finds reports for hosts owned by current user

This needs to be addressed in code thanks to the reports STI

#2 - 09/07/2021 02:55 PM - Marek Hulan
- Project changed from OpenSCAP to Foreman

#3 - 09/07/2021 02:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/8767 added

05/17/2024

1/2




#4 - 09/24/2021 09:37 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#5 - 09/24/2021 10:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8915e45f0dc24ff3c92c8ff23db950bef1a7a0f3.

#6 - 11/16/2021 10:48 AM - Amit Upadhye

- Category set to Search
